Retrieve all Instance InfiniBand Interfaces

View as Markdown

Get all InfiniBand Interfaces for an Instance

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
instanceIdstringRequired
ID of the Instance

Query parameters

statusstringOptional
Filter InfiniBand Interfaces by Status
includeRelationenumOptional
Related entity to expand
Allowed values:
pageNumberintegerOptional>=1Defaults to 1
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query

Response headers

X-Paginationstring
Pagination result in JSON format

Response

OK
idstringformat: "uuid">=1 character
Unique UUID v4 identifier for the InfiniBandInterface
instanceIdstringformat: "uuid"
ID of the associated Instance
partitionIdstringformat: "uuid"
ID of the InfiniBand Partition associated with this interface
devicestring
Name of the InfiniBand device associated with this interface
vendorstring or null
Name of the InfiniBand device vendor associated with this interface
deviceInstanceinteger
Index of the device where partition attach to
isPhysicalboolean
Indicates whether this is a physical interface
virtualFunctionIdinteger or null
Must be specified if isPhysical is false
guidstring or null
Must be specified if isPhysical is false
statusenum
Status of the InfiniBandInterface
createddatetimeRead-only

Date/time when the InfiniBandInterface was created

updateddatetimeRead-only

Date/time when the InfiniBandInterface was last updated

Errors

403
Forbidden Error